@ECHO OFF

IF NOT "%OS%"=="Windows_NT" ECHO Ten skrypt dziala tylko na wersji systemu Windows opartej o NT
IF NOT "%OS%"=="Windows_NT" GOTO :eof

REM KAtalog z ktrego jest wywoany skrypt
SET REALPATH=%~dp0

REM TYLKO TA CZʌ POWINNA BY ZMIENIANA
REM -------------------------------------------------------------------------
REM Jaka ma by nazwa usugi
SET SERVICENAME=IkwServer
REM Jaka ma by opis usugi w zakadce systemowej Windows
SET PR_DESCRIPTION=Serwer Import Kursow Walut. Insoft Sp z o.o.
REM lista bibliotek niezbdnych do odpalenia programu
SET CLASSPATH=%REALPATH%ImportKursowWalut.jar;%REALPATH%lib\jtds-1.2.jar;%REALPATH%lib\commons-io-2.1.jar;
REM Klasa wejciowa
SET CLASS=pl.com.insoft.ikw.main.ImportKursowWalutAsServiceEntry
REM Kalalog roboczy programu
SET WORKDIR=%REALPATH%
REM Maksymalna ilo pamici przydzielona procesowi w MB(Ten paramert nie musi by definiowany)
SET MAXMEM=128
REM -------------------------------------------------------------------------

:MENU
ECHO .
ECHO      *******************************************************************
ECHO      *   NACISNIJ 1,2 aby wybrac zadanie,         lub 5 aby zakonczyc  *
ECHO      *******************************************************************
ECHO      *                                                                 *
ECHO      *   1 - Instalacja uslugi Javy w wersji x86                       *
ECHO      *   2 - Usuniecie  uslugi Javy w wersji x86                       *
ECHO      *   5 - Zakoncz                                                   *
ECHO      *******************************************************************
ECHO .
SET /P M=Wybierz 1, 2, lub 5 i nacisnij ENTER: 
IF %M%==1 GOTO INSTALL32BIT
IF %M%==2 GOTO REMOVE32BIT
IF %M%==5 GOTO :eof
GOTO MENU

:INSTALL32BIT
SET JVMDLL=%REALPATH%jre7\bin\client\jvm.dll
SET EXEFILE=%REALPATH%exec\prunsrv.exe
SET "EXECUTABLE=%REALPATH%exec\prunsrv.exe"
GOTO INSTALL

:REMOVE32BIT
SET "EXECUTABLE=%REALPATH%exec\prunsrv.exe"
SET EXEFILE=%REALPATH%exec\prunsrv.exe
GOTO REMOVE

:INSTALL64BIT
IF NOT "%PROCESSOR_ARCHITECTURE%"=="AMD64" ECHO Zainstalowany procesor nie jest zgodny z architektura AMD64
IF NOT "%PROCESSOR_ARCHITECTURE%"=="AMD64" GOTO MENU
SET JVMDLL=%REALPATH%jre_x64\bin\server\jvm.dll
SET EXEFILE=%REALPATH%exec\prunsrv_amd64.exe
SET "EXECUTABLE=%REALPATH%exec\prunsrv_amd64.exe"
GOTO INSTALL

:REMOVE64BIT
IF NOT "%PROCESSOR_ARCHITECTURE%"=="AMD64" ECHO Zainstalowany procesor nie jest zgodny z architektura AMD64
IF NOT "%PROCESSOR_ARCHITECTURE%"=="AMD64" GOTO MENU
SET "EXECUTABLE=%REALPATH%exec\prunsrv_amd64.exe"
SET EXEFILE=%REALPATH%exec\prunsrv_amd64.exe
GOTO REMOVE

:INSTALL
if exist "%JVMDLL%" GOTO OK_JVMDLL
ECHO Brak biblioteki maszyny wirtualnej: %JVMDLL%
ECHO Dalsza instalacja nie moze byc kontynuowana
GOTO MENU

:OK_JVMDLL
if exist "%EXEFILE%" GOTO OK_EXEFILE
ECHO Brak pliku wykonywalnego:%EXEFILE%
ECHO Dalsza instalacja nie moze byc kontynuowana
GOTO MENU

:OK_EXEFILE
IF NOT "%MAXMEM%"=="" set JVM_MX=--JvmMx=%MAXMEM%
set PR_LOGPATH=%REALPATH%log
set PR_LOGPREFIX=jservice
set PR_STDOUTPUT=%REALPATH%log\stdout.txt
set PR_STDERROR=%REALPATH%log\stderr.txt
"%EXECUTABLE%" //IS//%SERVICENAME% --Startup=auto --Jvm=%JVMDLL% %JVM_MX% --StartMode=jvm --StopMode=jvm --StartPath=%WORKDIR% --StopPath=%WORKDIR% --Classpath=%CLASSPATH% --StartClass %CLASS% --StopClass %CLASS% --StartParams start --StopParams stop
if not errorlevel 1 ECHO Usluga '%SERVICENAME%' zostala utworzona
if not errorlevel 1 GOTO :PAUSE
ECHO Usluga '%SERVICENAME%' nie zostala utworzona
GOTO MENU

:REMOVE
if exist "%EXEFILE%" GOTO OK_EXEFILE
ECHO Brak pliku wykonywalnego:%EXEFILE%
ECHO Dalsza instalacja nie moze byc kontynuowana
GOTO MENU

:OK_EXEFILE
"%EXECUTABLE%" //DS//%SERVICENAME%
if not errorlevel 1 ECHO Usluga '%SERVICENAME%' zostala usunieta
if not errorlevel 1 GOTO :PAUSE
ECHO Usluga '%SERVICENAME%' nie zostala usunieta
goto MENU

:PAUSE
pause







